Subject: bug#25105: 26.0.50; diff navigation is broken

From: Tino Calancha <[email-masked]>
Date: Sat, 7 Jan 2017 10:54:59 +0900 (JST)

On Fri, 6 Jan 2017, Dmitry Gutov wrote:

> However, the new behavior also fixes what was undoubtedly a problem:
>
> When point is a bob in a diff-mode buffer, `C-c C-a' applies the first hunk, 
> and then stops at its beginning (in Emacs 25 and earlier).
Honestly, i wasn't aware of `C-c C-a' functionality so i didn't 
realized that aim of the patch.

> We would then give up on that fix, whereas I'd prefer to have a solution 
> eventually, if not now. But if we do, I estimate we might have the "old 
> fixed" behavior encroach on the "new different" behavior in certain respects, 
> making the code even more complex.
I agree, `C-c C-a' or `M-k' is a good thing to have fixed.  Eventually, i 
would like to use such features.

> I've honestly thought that Dima's patch's main purpose was to fix that bug. 
> And everything else we now complain about are just implementation's 
> side-effects.
It seems you are right.  IMO, we must aim to have the `C-c C-a' stuff 
fixed, but preserving those behaviours that we are complaining here.
Until this aim is fulfilled, i would like to pospone this patch, or 
to have a temporary solution as Mark's one in this thread.